Vercel
API ReferenceMCP Servers

Create MCP Server

Creates a new MCP server configuration. Limited to 10 servers per user.

POST/v2/mcp-servers

Usage

TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.mcpServers.create({  name: 'My Project',  url: 'https://example.com',  enabled: true,  auth: 'none',  scope: 'user',})console.log(result)

API Signature

Request

Request Body

name: string

Display name for the MCP server.

url: string

URL endpoint of the MCP server.

description?: string

Optional description of the MCP server.

enabled: boolean

Whether the server should be enabled.

auth: 'none' | 'bearer' | 'custom-headers' | 'oauth'

Authentication configuration.

scope: 'user' | 'team'

Scope of the MCP server configuration.

Response

id: string

Unique identifier for the MCP server.

name: string

Display name of the MCP server.

url: string

URL endpoint of the MCP server.

description: string

Optional description of the MCP server.

createdAt: string

ISO timestamp of when the server was created.

updatedAt: string

ISO timestamp of the last update.

userId: string

ID of the user who created the server.

enabled: boolean

Whether the MCP server is enabled.

auth: 'none' | 'bearer' | 'custom-headers' | 'oauth'

Authentication configuration for the MCP server.

scope: 'user' | 'team'

Scope of the MCP server configuration.

On this page